#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main()
{
	int t, RWer; 
	double RV; 
	
	srand((unsigned int)time(NULL)); 
	
	RWer = 0; 
	
	for (t = 0; t < 100; t++)
	{
		RV = (double)rand() / (double)(RAND_MAX + 1); 
		
		if (RV < 0.5)  RWer--; 
		else           RWer++; 
		
		printf("%d回移動した後のランダムウォーカーの位置 = %d\n", t + 1, RWer); 
	}

	return 0; 
}
